
QGIS Application - Bug report #17485

Rendering no longer updated after few saved edits

2017-11-17 12:08 PM - Jeffrey Bostoen

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: Yes

Operating System: Win 10 Pro x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25382

Description

Not sure when exactly it happens, but in my current project I'm using GeometryGenerator symbology.

At some random point, after saving edits (sometimes multiple updates on the same feature because I'm using the value of one of the fields

for the geometry generator), Qgis no longer updates the map to re-render the changed features. 

Even zooming in/out, panning, selecting... no longer have any visual update.

Trying to pin it down, but since there's no error, it's difficult to see ...

I'd be happy to provide the project privately (sensitive data).

History

#1 - 2017-11-21 04:49 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this a regression since 2.18 or it regressed within master development?

#2 - 2017-11-21 09:22 PM - Jeffrey Bostoen

Giovanni Manghi wrote:

Is this a regression since 2.18 or it regressed within master development?

I have used the same project in 2.18, but didn't see QGis stop updating/rendering back then.

#3 - 2017-11-24 02:45 PM - Giovanni Manghi

- Regression? changed from No to Yes

I have used the same project in 2.18, but didn't see QGis stop updating/rendering back then.

ok, if possible share privately the project and I will see if I can replicate: giovanni dot manghi at gmail dot com
#4 - 2017-11-25 03:33 PM - Giovanni Manghi

Cannot replicate the issue. Please try on a clean environment/installation. Thanks!

#5 - 2017-11-28 05:37 PM - Jeffrey Bostoen

Can't replicate it right away (anymore) in the latest QGis Nightly ( c:\setups\QGIS-OSGeo4W-2.99.0-48-Setup-x86_64.exe ). 

This can be closed for now.

#6 - 2017-11-30 04:32 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
